import "trip.dart";
import "package:shared/data.dart";

class PathStep {
  final PathTrip trip;
  final TripStop enter;
  final TripStop exit;

  PathStep.fromJson(Json json) :
    trip = PathTrip.fromJson(json["trip"]),
    enter = TripStop.fromJson(json["enter_bus"]),
    exit = TripStop.fromJson(json["exit_bus"]);
}

typedef Path = List<PathStep>;
